CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

IsRational Property (ActiveX)

2023-1-3 13:23| 发布者: admin| 查看: 404| 评论: 0|来自: AutoCAD

摘要: 确定给定样条是否为有理数。

确定给定样条是否为有理数。

支持的平台:仅窗口

签名

工 务 局:

object.IsRational
对象

类型:样条

此属性适用的对象。

属性值

只读:是的

类型:布尔

  • True:样条是合理的。
  • False:样条不合理。

言论

没有额外的评论。

例子

工 务 局:

Sub Example_IsRational()
    ' This example creates a spline object in model space.
    ' It then determines whether the spline is rational or non-rational
    ' based on the IsRational property.

    ' Create the spline
    Dim splineObj As AcadSpline
    Dim startTan(0 To 2) As Double
    Dim endTan(0 To 2) As Double
    Dim fitPoints(0 To 8) As Double
    
    startTan(0) = 0.5: startTan(1) = 0.5: startTan(2) = 0
    endTan(0) = 0.5: endTan(1) = 0.5: endTan(2) = 0
    fitPoints(0) = 1: fitPoints(1) = 1: fitPoints(2) = 0
    fitPoints(3) = 5: fitPoints(4) = 5: fitPoints(5) = 0
    fitPoints(6) = 10: fitPoints(7) = 0: fitPoints(8) = 0
    Set splineObj = ThisDrawing.ModelSpace.AddSpline(fitPoints, startTan, endTan)
    ZoomAll
    
    ' Display a message according to the IsRational value for the spline.
    If splineObj.IsRational Then
        MsgBox "The newly created Spline is a rational Spline", , "IsRational Example"
    Else
        MsgBox "The newly created Spline is a non-rational Spline", , "IsRational Example"
    End If

End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_IsRational()
    ;; This example creates a Spline object in model space and
    ;; determines whether the Spline is planar
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; Define the Spline object
    (setq startTan (vlax-3d-point 0.5 0.5 0)
          endTan (vlax-3d-point 0.5 0.5 0)
          fitPoints (vlax-make-safearray vlax-vbDouble '(0 . 8)))
    (vlax-safearray-fill fitPoints '(0 0 0
				     5 5 0
				     10 0 0
				    )
    )
    
    ;; Create new Spline object
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq splineObj (vla-AddSpline modelSpace fitPoints startTan endTan))
    (vla-ZoomAll acadObj)
    
    ;; Display a message according to the IsRational value for the spline.
    (if (= (vla-get-IsRational splineObj) :vlax-true)
        (alert "The newly created Spline is a rational Spline")
        (alert "The newly created Spline is a non-rational Spline")
    )
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-12 01:45

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部